# Class NoOpQueryTimeoutHandler

java.lang.Object
org.mariadb.jdbc.util.timeout.NoOpQueryTimeoutHandler

All Implemented Interfaces:
  `AutoCloseable, QueryTimeoutHandler`

public class NoOpQueryTimeoutHandler extends Object implements QueryTimeoutHandler
Default no op query timeout.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final NoOpQueryTimeoutHandler`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`NoOpQueryTimeoutHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`QueryTimeoutHandler`
`create(int queryTimeout)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final NoOpQueryTimeoutHandler INSTANCE

## Constructor Details

### NoOpQueryTimeoutHandler

public NoOpQueryTimeoutHandler()

## Method Details

### create

public QueryTimeoutHandler create(int queryTimeout)

Specified by:
  `create` in interface `QueryTimeoutHandler`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `QueryTimeoutHandler`